Bug 433876 - switching to "both" mode with alt-f7 on t60w results in both screens blank
switching to "both" mode with alt-f7 on t60w results in both screens blank
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
:
Depends On:
Blocks: 436140
  Show dependency treegraph
 
Reported: 2008-02-21 16:58 EST by Cameron Meadors
Modified: 2008-03-27 11:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 11:13:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (50.58 KB, text/plain)
2008-03-11 14:59 EDT, Cameron Meadors
no flags Details

  None (edit)
Description Cameron Meadors 2008-02-21 16:58:57 EST
Description of problem:
When I cycle through the video display options with alt-f7 on a t60w, the
primary display works alone, external display works alone, but both are blank if
both are enabled.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5-9.6.0.3.el5
xorg-x11-server-Xorg-1.1.1-48.36.el5

How reproducible:
every time

Steps to Reproduce:
1. plug in an external monitor
2. hit alt-f7 twice
3.
  
Actual results:
both displays are blank

Expected results:
both displays light up

Additional info:
Comment 1 Matěj Cepl 2008-02-22 06:29:24 EST
information about the system are NEEDINFOed in bug 433875
Comment 2 Cameron Meadors 2008-02-22 10:01:42 EST
See attachment in bug 433875
Comment 3 RHEL Product and Program Management 2008-02-25 10:07:21 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Adam Jackson 2008-03-05 17:34:45 EST
Again, you're testing with the i810 driver.  This functionality is not expected
to work with the i810 driver.  Are you sure you're testing what you mean to be
testing?
Comment 5 Cameron Meadors 2008-03-10 08:47:33 EDT
I will retest with intel driver.
Comment 6 Cameron Meadors 2008-03-11 14:58:54 EDT
With intel driver, I now get the wrong resolution on both screens (1680x1680
according to xrandr).  It does not cycle through the states but just turns on
the external display and primary display with the wrong resolution.

When trying to get back to a good resolution, I unplugged the external display
and hit fn-f7 again with not effect.  I then switched to vc1 and back to vc7
(where X was) and X crashed.  I will attach the log.
Comment 7 Cameron Meadors 2008-03-11 14:59:21 EDT
Created attachment 297660 [details]
Xorg log
Comment 8 RHEL Product and Program Management 2008-03-11 15:36:02 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 12 Cameron Meadors 2008-03-27 11:13:02 EDT
Apparently the expected results when hitting Fn+F7 has changed.  From what was
explained to me by an X developer, Fn+F7 does not cycle through the displays. 
Now it triggers X to rescan the display ports.  Then X configures the resolution
for the larger of the two displays.  Thus resulting in the display with the
smaller max resolution to only show part of the desktop.

This resolves all issues in this bug except for the crash.  I will file a
different bug for that when I see it again. 

Note You need to log in before you can comment on or make changes to this bug.